import * as React from 'react';
import { Locale } from '../locale-provider';
import { PaginationProps } from '../pagination';
import { ExportProps } from '../table/interface';
export interface ConfigConsumerProps {
    locale?: Locale;
    exported?: ExportProps;
    pagenation?: PaginationProps;
    modalMovable?: boolean;
    modalAutoCenter?: boolean;
}
export declare const ConfigContext: React.Context<ConfigConsumerProps>;
export declare const ConfigConsumer: React.Consumer<ConfigConsumerProps>;
